summaryrefslogtreecommitdiff
path: root/xi_buildscript.sh
diff options
context:
space:
mode:
Diffstat (limited to 'xi_buildscript.sh')
-rw-r--r--xi_buildscript.sh19
1 files changed, 9 insertions, 10 deletions
diff --git a/xi_buildscript.sh b/xi_buildscript.sh
index d9e19f7..a60efe9 100644
--- a/xi_buildscript.sh
+++ b/xi_buildscript.sh
@@ -55,23 +55,22 @@ for xibuild in $PKG_NAME.xibuild $(ls *.xibuild | grep -v "^$PKG_NAME.xibuild$")
. ./$xibuild
-
- for t in $stages; do
- type $t >/dev/null && {
- echo "==========================$t stage=========================="
- $t || exit 1
- }
- done
-
printf "checking for postinstall... "
if command -v postinstall > /dev/null; then
echo "adding postinstall"
POST_DIR=$PKG_DEST/var/lib/xipkg/postinstall
mkdir -p $POST_DIR
- cat ./$PKG_NAME.xibuild > $POST_DIR/$PKG_NAME.sh
- echo >> $POST_DIR/$PKG_NAME.sh
+ cat ./$PKG_NAME.xibuild $xibuild >> $POST_DIR/$PKG_NAME.sh
echo "postinstall" >> $POST_DIR/$PKG_NAME.sh
else
echo "no postinstall"
fi
+
+ for t in $stages; do
+ type $t >/dev/null && {
+ echo "==========================$t stage=========================="
+ $t || exit 1
+ }
+ done
+
done